services:
  wg-easy:
    container_name: wg-easy
    image: ghcr.io/wg-easy/wg-easy
    environment:
      WG_HOST: hostbrr.azuredevops.co.uk
      PASSWORD_HASH: '$$2a$$12$$nMu2fSWPkmefVLdIf68Qle/QK/9oZx/Jmp2HfjZmo6R8V/AtVKD82'
      PORT: 51821
      WG_PORT: 53298
      LANG: en
      WG_DEFAULT_DNS: '94.140.14.14, 94.140.15.15'
    ports:
      - "53298:53298/udp"   # Changed from 51820 to 53298
      - "51821:51821/tcp"
    volumes:
      - wg-easy-data:/etc/wireguard
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    sysctls:
      net.ipv4.conf.all.src_valid_mark: 1
      net.ipv4.ip_forward: 1
    restart: always
    networks:
      - hostbrr_hurricane
volumes:
  wg-easy-data:

networks:
  hostbrr_hurricane:
    external: true  # This assumes the network already exists. You can create it with: docker network create hurricane
